diff --git a/libkcal/dndfactory.cpp b/libkcal/dndfactory.cpp
index 9ebae51d4..086323b0d 100644
--- a/libkcal/dndfactory.cpp
+++ b/libkcal/dndfactory.cpp
@@ -232,7 +232,7 @@ Incidence::List DndFactory::pasteIncidences( const TQDate &newDate, const TQTime
   // update relations
   for ( it = list.constBegin(); it != list.constEnd(); ++it ) {
     Incidence *inc = *it;
-    if ( oldUidToNewInc.tqcontains( inc->relatedToUid() ) ) {
+    if ( oldUidToNewInc.contains( inc->relatedToUid() ) ) {
       Incidence *parentInc = oldUidToNewInc[inc->relatedToUid()];
       inc->setRelatedToUid( parentInc->uid() );
       inc->setRelatedTo( parentInc );
diff --git a/libkcal/dummyscheduler.cpp b/libkcal/dummyscheduler.cpp
index 882a7fce0..7a824f08a 100644
--- a/libkcal/dummyscheduler.cpp
+++ b/libkcal/dummyscheduler.cpp
@@ -95,7 +95,7 @@ TQPtrList<ScheduleMessage> DummyScheduler::retrieveTransactions()
     while (!messageLine.isNull()) {
 //      kdDebug(5800) << "++++++++" << messageLine << endl;
       messageString += messageLine + "\n";
-      if (messageLine.tqfind("END:VCALENDAR") >= 0) {
+      if (messageLine.find("END:VCALENDAR") >= 0) {
         kdDebug(5800) << "---------------" << messageString << endl;
         ScheduleMessage *message = mFormat->parseScheduleMessage(mCalendar,
                                                                  messageString);
diff --git a/libkcal/htmlexport.cpp b/libkcal/htmlexport.cpp
index cbe3f6d7e..4bedf8806 100644
--- a/libkcal/htmlexport.cpp
+++ b/libkcal/htmlexport.cpp
@@ -172,14 +172,14 @@ void HtmlExport::createMonthView(TQTextStream *ts)
         *ts << "    <td valign=\"top\"><table border=\"0\">";
 
         *ts << "<tr><td ";
-        if (mHolidayMap.tqcontains(start) || start.dayOfWeek() == 7) {
+        if (mHolidayMap.contains(start) || start.dayOfWeek() == 7) {
           *ts << "class=\"dateholiday\"";
         } else {
           *ts << "class=\"date\"";
         }
         *ts << ">" << TQString::number(start.day());
 
-        if (mHolidayMap.tqcontains(start)) {
+        if (mHolidayMap.contains(start)) {
           *ts << " <em>" << mHolidayMap[start] << "</em>";
         }
 
@@ -332,13 +332,13 @@ void HtmlExport::createTodoList ( TQTextStream *ts )
     Todo *subev = ev;
     if ( ev->relatedTo() ) {
       if ( ev->relatedTo()->type()=="Todo" ) {
-        if ( rawTodoList.tqfind( static_cast<Todo *>( ev->relatedTo() ) ) ==
+        if ( rawTodoList.find( static_cast<Todo *>( ev->relatedTo() ) ) ==
              rawTodoList.end() ) {
           rawTodoList.append( static_cast<Todo *>( ev->relatedTo() ) );
         }
       }
     }
-    it = rawTodoList.tqfind( subev );
+    it = rawTodoList.find( subev );
     ++it;
   }
 
@@ -589,7 +589,7 @@ void HtmlExport::formatAttendees( TQTextStream *ts, Incidence *event )
 
 TQString HtmlExport::breakString(const TQString &text)
 {
-  int number = text.tqcontains("\n");
+  int number = text.contains("\n");
   if(number < 0) {
     return text;
   } else {
@@ -598,7 +598,7 @@ TQString HtmlExport::breakString(const TQString &text)
     int pos = 0;
     TQString tmp;
     for(int i=0;i<=number;i++) {
-      pos = tmpText.tqfind("\n");
+      pos = tmpText.find("\n");
       tmp = tmpText.left(pos);
       tmpText = tmpText.right(tmpText.length() - pos - 1);
       out += tmp + "<br />";
@@ -640,28 +640,28 @@ void HtmlExport::createFooter( TQTextStream *ts )
 TQString HtmlExport::cleanChars(const TQString &text)
 {
   TQString txt = text;
-  txt = txt.tqreplace( "&", "&amp;" );
-  txt = txt.tqreplace( "<", "&lt;" );
-  txt = txt.tqreplace( ">", "&gt;" );
-  txt = txt.tqreplace( "\"", "&quot;" );
-  txt = txt.tqreplace( TQString::fromUtf8("ä"), "&auml;" );
-  txt = txt.tqreplace( TQString::fromUtf8("á"), "&aacute;" );
-  txt = txt.tqreplace( TQString::fromUtf8("à"), "&agrave;" );
-  txt = txt.tqreplace( TQString::fromUtf8("â"), "&acirc;" );
-  txt = txt.tqreplace( TQString::fromUtf8("Ä"), "&Auml;" );
-  txt = txt.tqreplace( TQString::fromUtf8("ó"), "&oacute;" );
-  txt = txt.tqreplace( TQString::fromUtf8("ô"), "&ocirc;" );
-  txt = txt.tqreplace( TQString::fromUtf8("ö"), "&ouml;" );
-  txt = txt.tqreplace( TQString::fromUtf8("Ö"), "&Ouml;" );
-  txt = txt.tqreplace( TQString::fromUtf8("ü"), "&uuml;" );
-  txt = txt.tqreplace( TQString::fromUtf8("Ü"), "&Uuml;" );
-  txt = txt.tqreplace( TQString::fromUtf8("ß"), "&szlig;" );
-  txt = txt.tqreplace( TQString::fromUtf8("€"), "&euro;" );
-  txt = txt.tqreplace( TQString::fromUtf8("é"), "&eacute;" );
-  txt = txt.tqreplace( TQString::fromUtf8("ë"), "&euml;" );
-  txt = txt.tqreplace( TQString::fromUtf8("è"), "&egrave;" );
-  txt = txt.tqreplace( TQString::fromUtf8("ñ"), "&ntilde;" );
-  txt = txt.tqreplace( TQString::fromUtf8("ç"), "&ccedil;" );
+  txt = txt.replace( "&", "&amp;" );
+  txt = txt.replace( "<", "&lt;" );
+  txt = txt.replace( ">", "&gt;" );
+  txt = txt.replace( "\"", "&quot;" );
+  txt = txt.replace( TQString::fromUtf8("ä"), "&auml;" );
+  txt = txt.replace( TQString::fromUtf8("á"), "&aacute;" );
+  txt = txt.replace( TQString::fromUtf8("à"), "&agrave;" );
+  txt = txt.replace( TQString::fromUtf8("â"), "&acirc;" );
+  txt = txt.replace( TQString::fromUtf8("Ä"), "&Auml;" );
+  txt = txt.replace( TQString::fromUtf8("ó"), "&oacute;" );
+  txt = txt.replace( TQString::fromUtf8("ô"), "&ocirc;" );
+  txt = txt.replace( TQString::fromUtf8("ö"), "&ouml;" );
+  txt = txt.replace( TQString::fromUtf8("Ö"), "&Ouml;" );
+  txt = txt.replace( TQString::fromUtf8("ü"), "&uuml;" );
+  txt = txt.replace( TQString::fromUtf8("Ü"), "&Uuml;" );
+  txt = txt.replace( TQString::fromUtf8("ß"), "&szlig;" );
+  txt = txt.replace( TQString::fromUtf8("€"), "&euro;" );
+  txt = txt.replace( TQString::fromUtf8("é"), "&eacute;" );
+  txt = txt.replace( TQString::fromUtf8("ë"), "&euml;" );
+  txt = txt.replace( TQString::fromUtf8("è"), "&egrave;" );
+  txt = txt.replace( TQString::fromUtf8("ñ"), "&ntilde;" );
+  txt = txt.replace( TQString::fromUtf8("ç"), "&ccedil;" );
 
   return txt;
 }
diff --git a/libkcal/icalformatimpl.cpp b/libkcal/icalformatimpl.cpp
index bf57e88ce..50879378e 100644
--- a/libkcal/icalformatimpl.cpp
+++ b/libkcal/icalformatimpl.cpp
@@ -73,7 +73,7 @@ static TQString quoteForParam( const TQString &text )
 {
   TQString tmp = text;
   tmp.remove( '"' );
-  if ( tmp.tqcontains( ';' ) || tmp.tqcontains( ':' ) || tmp.tqcontains( ',' ) )
+  if ( tmp.contains( ';' ) || tmp.contains( ':' ) || tmp.contains( ',' ) )
     return tmp; // libical quotes in this case already, see icalparameter_as_ical_string()
   return TQString::tqfromLatin1( "\"" ) + tmp + TQString::tqfromLatin1( "\"" );
 }
diff --git a/libkcal/incidence.cpp b/libkcal/incidence.cpp
index 05fc721cc..0c27da432 100644
--- a/libkcal/incidence.cpp
+++ b/libkcal/incidence.cpp
@@ -369,7 +369,7 @@ Incidence::List Incidence::relations() const
 
 void Incidence::addRelation( Incidence *event )
 {
-  if ( mRelations.tqfind( event ) == mRelations.end() ) {
+  if ( mRelations.find( event ) == mRelations.end() ) {
     mRelations.append( event );
   }
 }
diff --git a/libkcal/incidencebase.cpp b/libkcal/incidencebase.cpp
index 52e08080f..d5dbef56c 100644
--- a/libkcal/incidencebase.cpp
+++ b/libkcal/incidencebase.cpp
@@ -394,7 +394,7 @@ unsigned long IncidenceBase::pilotId() const
 
 void IncidenceBase::registerObserver( IncidenceBase::Observer *observer )
 {
-  if( !mObservers.tqcontains( observer ) ) mObservers.append( observer );
+  if( !mObservers.contains( observer ) ) mObservers.append( observer );
 }
 
 void IncidenceBase::unRegisterObserver( IncidenceBase::Observer *observer )
diff --git a/libkcal/incidenceformatter.cpp b/libkcal/incidenceformatter.cpp
index 36f988752..49c3967aa 100644
--- a/libkcal/incidenceformatter.cpp
+++ b/libkcal/incidenceformatter.cpp
@@ -74,7 +74,7 @@ static TQString htmlAddLink( const TQString &ref, const TQString &text,
 
 static TQString htmlAddTag( const TQString & tag, const TQString & text )
 {
-  int numLineBreaks = text.tqcontains( "\n" );
+  int numLineBreaks = text.contains( "\n" );
   TQString str = "<" + tag + ">";
   TQString tmpText = text;
   TQString tmpStr = str;
@@ -83,7 +83,7 @@ static TQString htmlAddTag( const TQString & tag, const TQString & text )
       int pos = 0;
       TQString tmp;
       for( int i = 0; i <= numLineBreaks; i++ ) {
-        pos = tmpText.tqfind( "\n" );
+        pos = tmpText.find( "\n" );
         tmp = tmpText.left( pos );
         tmpText = tmpText.right( tmpText.length() - pos - 1 );
         tmpStr += tmp + "<br>";
@@ -2278,7 +2278,7 @@ static bool incidenceOwnedByMe( Calendar *calendar, Incidence *incidence )
     return true;
   }
   const TQString subRes = res->subresourceIdentifier( incidence );
-  if ( !subRes.tqcontains( "/.INBOX.directory/" ) ) {
+  if ( !subRes.contains( "/.INBOX.directory/" ) ) {
     return false;
   }
   return true;
@@ -2907,9 +2907,9 @@ TQString IncidenceFormatter::msTNEFToVPart( const TQByteArray& tnef )
         TQString sSenderSearchKeyEmail( tnefMsg->findProp( 0x0C1D ) );
 
         if( !sSenderSearchKeyEmail.isEmpty() ) {
-          int colon = sSenderSearchKeyEmail.tqfind( ':' );
+          int colon = sSenderSearchKeyEmail.find( ':' );
           // May be e.g. "SMTP:KHZ@KDE.ORG"
-          if( sSenderSearchKeyEmail.tqfind( ':' ) == -1 )
+          if( sSenderSearchKeyEmail.find( ':' ) == -1 )
             sSenderSearchKeyEmail.remove( 0, colon+1 );
         }
 
@@ -2920,7 +2920,7 @@ TQString IncidenceFormatter::msTNEFToVPart( const TQByteArray& tnef )
                it != attendees.end(); ++it ) {
             // Skip all entries that have no '@' since these are
             // no mail addresses
-            if( (*it).tqfind('@') == -1 ) {
+            if( (*it).find('@') == -1 ) {
               s = (*it).stripWhiteSpace();
 
               Attendee *attendee = new Attendee( s, s, true );
@@ -2966,12 +2966,12 @@ TQString IncidenceFormatter::msTNEFToVPart( const TQByteArray& tnef )
         if( !s.isEmpty() )
           event->setOrganizer( s );
 
-        s = tnefMsg->findProp( 0x8516 ).tqreplace( TQChar( '-' ), TQString() )
-          .tqreplace( TQChar( ':' ), TQString() );
+        s = tnefMsg->findProp( 0x8516 ).replace( TQChar( '-' ), TQString() )
+          .replace( TQChar( ':' ), TQString() );
         event->setDtStart( TQDateTime::fromString( s ) ); // ## Format??
 
-        s = tnefMsg->findProp( 0x8517 ).tqreplace( TQChar( '-' ), TQString() )
-          .tqreplace( TQChar( ':' ), TQString() );
+        s = tnefMsg->findProp( 0x8517 ).replace( TQChar( '-' ), TQString() )
+          .replace( TQChar( ':' ), TQString() );
         event->setDtEnd( TQDateTime::fromString( s ) );
 
         s = tnefMsg->findProp( 0x8208 );
@@ -2988,8 +2988,8 @@ TQString IncidenceFormatter::msTNEFToVPart( const TQByteArray& tnef )
         // PENDING(khz): is this value in local timezone? Must it be
         // adjusted? Most likely this is a bug in the server or in
         // Outlook - we ignore it for now.
-        s = tnefMsg->findProp( 0x8202 ).tqreplace( TQChar( '-' ), TQString() )
-          .tqreplace( TQChar( ':' ), TQString() );
+        s = tnefMsg->findProp( 0x8202 ).replace( TQChar( '-' ), TQString() )
+          .replace( TQChar( ':' ), TQString() );
         // ### libkcal always uses tqcurrentDateTime()
         // event->setDtStamp(TQDateTime::fromString(s));
 
@@ -3010,12 +3010,12 @@ TQString IncidenceFormatter::msTNEFToVPart( const TQByteArray& tnef )
           Alarm *alarm = new Alarm(event);
           TQDateTime highNoonTime =
             pureISOToLocalTQDateTime( tnefMsg->findProp( 0x8502 )
-                                     .tqreplace( TQChar( '-' ), "" )
-                                     .tqreplace( TQChar( ':' ), "" ) );
+                                     .replace( TQChar( '-' ), "" )
+                                     .replace( TQChar( ':' ), "" ) );
           TQDateTime wakeMeUpTime =
             pureISOToLocalTQDateTime( tnefMsg->findProp( 0x8560, "" )
-                                     .tqreplace( TQChar( '-' ), "" )
-                                     .tqreplace( TQChar( ':' ), "" ) );
+                                     .replace( TQChar( '-' ), "" )
+                                     .replace( TQChar( ':' ), "" ) );
           alarm->setTime(wakeMeUpTime);
 
           if( highNoonTime.isValid() && wakeMeUpTime.isValid() )
@@ -3047,8 +3047,8 @@ TQString IncidenceFormatter::msTNEFToVPart( const TQByteArray& tnef )
         addressee.insertCustom( "KADDRESSBOOK", "X-Profession", stringProp( tnefMsg, MAPI_TAG_PR_PROFESSION ) );
 
         TQString s = tnefMsg->findProp( MAPI_TAG_PR_WEDDING_ANNIVERSARY )
-          .tqreplace( TQChar( '-' ), TQString() )
-          .tqreplace( TQChar( ':' ), TQString() );
+          .replace( TQChar( '-' ), TQString() )
+          .replace( TQChar( ':' ), TQString() );
         if( !s.isEmpty() )
           addressee.insertCustom( "KADDRESSBOOK", "X-Anniversary", s );
 
@@ -3114,8 +3114,8 @@ TQString IncidenceFormatter::msTNEFToVPart( const TQByteArray& tnef )
         addressee.insertPhoneNumber( KABC::PhoneNumber( nr, KABC::PhoneNumber::Fax | KABC::PhoneNumber::Work ) );
 
         s = tnefMsg->findProp( MAPI_TAG_PR_BIRTHDAY )
-          .tqreplace( TQChar( '-' ), TQString() )
-          .tqreplace( TQChar( ':' ), TQString() );
+          .replace( TQChar( '-' ), TQString() )
+          .replace( TQChar( ':' ), TQString() );
         if( !s.isEmpty() )
           addressee.setBirthday( TQDateTime::fromString( s ) );
 
@@ -3218,25 +3218,25 @@ TQString IncidenceFormatter::ToolTipVisitor::dateRangeText( Event *event, const
 
     tmp = "<br>" + i18n("Event start", "<i>From:</i>&nbsp;%1");
     if (event->doesFloat())
-      ret += tmp.tqarg( IncidenceFormatter::dateToString( startDt, false ).tqreplace(" ", "&nbsp;") );
+      ret += tmp.tqarg( IncidenceFormatter::dateToString( startDt, false ).replace(" ", "&nbsp;") );
     else
-      ret += tmp.tqarg( IncidenceFormatter::dateToString( startDt ).tqreplace(" ", "&nbsp;") );
+      ret += tmp.tqarg( IncidenceFormatter::dateToString( startDt ).replace(" ", "&nbsp;") );
 
     tmp = "<br>" + i18n("Event end","<i>To:</i>&nbsp;%1");
     if (event->doesFloat())
-      ret += tmp.tqarg( IncidenceFormatter::dateToString( endDt, false ).tqreplace(" ", "&nbsp;") );
+      ret += tmp.tqarg( IncidenceFormatter::dateToString( endDt, false ).replace(" ", "&nbsp;") );
     else
-      ret += tmp.tqarg( IncidenceFormatter::dateToString( endDt ).tqreplace(" ", "&nbsp;") );
+      ret += tmp.tqarg( IncidenceFormatter::dateToString( endDt ).replace(" ", "&nbsp;") );
 
   } else {
 
     ret += "<br>"+i18n("<i>Date:</i>&nbsp;%1").
-           tqarg( IncidenceFormatter::dateToString( startDt, false ).tqreplace(" ", "&nbsp;") );
+           tqarg( IncidenceFormatter::dateToString( startDt, false ).replace(" ", "&nbsp;") );
     if ( !event->doesFloat() ) {
       const TQString dtStartTime =
-        IncidenceFormatter::timeToString( startDt, true ).tqreplace( " ", "&nbsp;" );
+        IncidenceFormatter::timeToString( startDt, true ).replace( " ", "&nbsp;" );
       const TQString dtEndTime =
-        IncidenceFormatter::timeToString( endDt, true ).tqreplace( " ", "&nbsp;" );
+        IncidenceFormatter::timeToString( endDt, true ).replace( " ", "&nbsp;" );
       if ( dtStartTime == dtEndTime ) { // to prevent 'Time: 17:00 - 17:00'
         tmp = "<br>" + i18n("time for event, &nbsp; to prevent ugly line breaks",
         "<i>Time:</i>&nbsp;%1").
@@ -3268,7 +3268,7 @@ TQString IncidenceFormatter::ToolTipVisitor::dateRangeText( Todo *todo, const TQ
     ret += "<br>" +
            i18n("<i>Start:</i>&nbsp;%1").
            tqarg( IncidenceFormatter::dateTimeToString( startDt, floats, false ).
-                tqreplace( " ", "&nbsp;" ) );
+                replace( " ", "&nbsp;" ) );
   }
 
   if ( todo->hasDueDate() && todo->dtDue().isValid() ) {
@@ -3283,7 +3283,7 @@ TQString IncidenceFormatter::ToolTipVisitor::dateRangeText( Todo *todo, const TQ
     ret += "<br>" +
            i18n("<i>Due:</i>&nbsp;%1").
            tqarg( IncidenceFormatter::dateTimeToString( dueDt, floats, false ).
-                tqreplace( " ", "&nbsp;" ) );
+                replace( " ", "&nbsp;" ) );
   }
 
   // Print priority and completed info here, for lack of a better place
@@ -3297,7 +3297,7 @@ TQString IncidenceFormatter::ToolTipVisitor::dateRangeText( Todo *todo, const TQ
   ret += "<br>";
   if ( todo->isCompleted() ) {
     ret += "<i>" + i18n( "Completed:" ) + "</i>" + "&nbsp;";
-    ret += todo->completedStr().tqreplace( " ", "&nbsp;" );
+    ret += todo->completedStr().replace( " ", "&nbsp;" );
   } else {
     ret += "<i>" + i18n( "Percent Done:" ) + "</i>" + "&nbsp;";
     ret += i18n( "%1%" ).tqarg( todo->percentComplete() );
@@ -3475,7 +3475,7 @@ TQString IncidenceFormatter::ToolTipVisitor::generateToolTip( Incidence* inciden
   TQString tmp = "<qt>";
 
   // header
-  tmp += "<b>" + incidence->summary().tqreplace( "\n", "<br>" ) + "</b>";
+  tmp += "<b>" + incidence->summary().replace( "\n", "<br>" ) + "</b>";
   //NOTE: using <hr> seems to confuse TQt3 tooltips in some cases so use "-----"
   tmp += "<br>----------<br>";
 
@@ -3492,7 +3492,7 @@ TQString IncidenceFormatter::ToolTipVisitor::generateToolTip( Incidence* inciden
   if ( !incidence->location().isEmpty() ) {
     tmp += "<br>";
     tmp += "<i>" + i18n( "Location:" ) + "</i>" + "&nbsp;";
-    tmp += incidence->location().tqreplace( "\n", "<br>" );
+    tmp += incidence->location().replace( "\n", "<br>" );
   }
 
   TQString durStr = IncidenceFormatter::durationString( incidence );
@@ -3515,7 +3515,7 @@ TQString IncidenceFormatter::ToolTipVisitor::generateToolTip( Incidence* inciden
     }
     tmp += "<br>----------<br>";
     tmp += "<i>" + i18n( "Description:" ) + "</i>" + "<br>";
-    tmp += desc.tqreplace( "\n", "<br>" );
+    tmp += desc.replace( "\n", "<br>" );
     tmp += "<br>----------";
   }
 
diff --git a/libkcal/listbase.h b/libkcal/listbase.h
index ac9e628ec..2ce1dfa14 100644
--- a/libkcal/listbase.h
+++ b/libkcal/listbase.h
@@ -67,7 +67,7 @@ class ListBase : public TQValueList<T *>
 
     bool removeRef( T *t )
     {
-      TQValueListIterator<T *> it = tqfind( t );
+      TQValueListIterator<T *> it = find( t );
       if ( it == TQValueList<T*>::end() ) {
         return false;
       } else {
diff --git a/libkcal/person.cpp b/libkcal/person.cpp
index c5e15c15f..00f17ed84 100644
--- a/libkcal/person.cpp
+++ b/libkcal/person.cpp
@@ -64,7 +64,7 @@ TQString Person::fullName() const
       // Taken from KABC::Addressee::fullEmail
       TQString name = mName;
       TQRegExp needQuotes( "[^ 0-9A-Za-z\\x0080-\\xFFFF]" );
-      bool weNeedToQuote = name.tqfind( needQuotes ) != -1;
+      bool weNeedToQuote = name.find( needQuotes ) != -1;
       if ( weNeedToQuote ) {
           if ( name[0] != '"' )
               name.prepend( '"' );
diff --git a/libkcal/qtopiaformat.cpp b/libkcal/qtopiaformat.cpp
index b7f13fd54..7b7954b71 100644
--- a/libkcal/qtopiaformat.cpp
+++ b/libkcal/qtopiaformat.cpp
@@ -140,7 +140,7 @@ class TQtopiaParser : public TQXmlDefaultHandler
         todo->setUid( uid );
         
         TQString description = attributes.value( "Description" );
-        int pos = description.tqfind( '\n' );
+        int pos = description.find( '\n' );
         if ( pos > 0 ) {
           TQString summary = description.left( pos );
           todo->setSummary( summary );
@@ -242,7 +242,7 @@ class TQtopiaParser : public TQXmlDefaultHandler
 
     static TQString category( const TQString &id )
     {
-      TQMap<TQString,TQString>::ConstIterator it = mCategoriesMap.tqfind( id );
+      TQMap<TQString,TQString>::ConstIterator it = mCategoriesMap.find( id );
       if ( it == mCategoriesMap.end() ) return id;
       else return *it;
     }
diff --git a/libkcal/recurrence.cpp b/libkcal/recurrence.cpp
index 47169ae47..d4e47a528 100644
--- a/libkcal/recurrence.cpp
+++ b/libkcal/recurrence.cpp
@@ -112,13 +112,13 @@ bool Recurrence::operator==( const Recurrence& r2 ) const
 
 void Recurrence::addObserver( Observer *observer )
 {
-  if ( !mObservers.tqcontains( observer ) )
+  if ( !mObservers.contains( observer ) )
     mObservers.append( observer );
 }
 
 void Recurrence::removeObserver( Observer *observer )
 {
-  if ( mObservers.tqcontains( observer ) )
+  if ( mObservers.contains( observer ) )
     mObservers.remove( observer );
 }
 
@@ -269,7 +269,7 @@ bool Recurrence::recursOn(const TQDate &qd) const
 {
   TimeList tms;
   // First handle dates. Exrules override
-  if ( mExDates.tqcontains( qd ) ) return false;
+  if ( mExDates.contains( qd ) ) return false;
   // For all-day events a matching exrule excludes the whole day
   // since exclusions take precedence over inclusions, we know it can't occur on that day.
   if ( doesFloat() ) {
@@ -279,7 +279,7 @@ bool Recurrence::recursOn(const TQDate &qd) const
     }
   }
 
-  if ( mRDates.tqcontains( qd ) ) return true;
+  if ( mRDates.contains( qd ) ) return true;
 
   bool recurs = false;
 
@@ -328,14 +328,14 @@ bool Recurrence::recursOn(const TQDate &qd) const
 bool Recurrence::recursAt( const TQDateTime &dt ) const
 {
   // if it's excluded anyway, don't bother to check if it recurs at all.
-  if ( mExDateTimes.tqcontains( dt )) return false;
-  if ( mExDates.tqcontains( dt.date() )) return false;
+  if ( mExDateTimes.contains( dt )) return false;
+  if ( mExDates.contains( dt.date() )) return false;
   for ( RecurrenceRule::List::ConstIterator rr = mExRules.begin(); rr != mExRules.end(); ++rr ) {
     if ( (*rr)->recursAt( dt ) ) return false;
   }
 
   // Check explicit recurrences, then rrules.
-  bool occurs = ( startDateTime() == dt ) || mRDateTimes.tqcontains( dt );
+  bool occurs = ( startDateTime() == dt ) || mRDateTimes.contains( dt );
   if ( occurs )
     return true;
   for ( RecurrenceRule::List::ConstIterator rr = mRRules.begin(); rr != mRRules.end(); ++rr ) {
@@ -624,7 +624,7 @@ void Recurrence::addMonthlyPos( short pos, const TQBitArray &days )
   for ( int i = 0; i < 7; ++i ) {
     if ( days.testBit(i) ) {
       RecurrenceRule::WDayPos p( pos, i + 1 );
-      if ( !positions.tqcontains( p ) ) {
+      if ( !positions.contains( p ) ) {
         changed = true;
         positions.append( p );
       }
@@ -646,7 +646,7 @@ void Recurrence::addMonthlyPos( short pos, ushort day )
   TQValueList<RecurrenceRule::WDayPos> positions = rrule->byDays();
 
   RecurrenceRule::WDayPos p( pos, day );
-  if ( !positions.tqcontains( p ) ) {
+  if ( !positions.contains( p ) ) {
     positions.append( p );
     rrule->setByDays( positions );
     updated();
@@ -661,7 +661,7 @@ void Recurrence::addMonthlyDate( short day )
   if ( !rrule ) return;
 
   TQValueList<int> monthDays = rrule->byMonthDays();
-  if ( !monthDays.tqcontains( day ) ) {
+  if ( !monthDays.contains( day ) ) {
     monthDays.append( day );
     rrule->setByMonthDays( monthDays );
     updated();
@@ -682,7 +682,7 @@ void Recurrence::addYearlyDay( int day )
   if ( !rrule ) return;
 
   TQValueList<int> days = rrule->byYearDays();
-  if ( !days.tqcontains( day ) ) {
+  if ( !days.contains( day ) ) {
     days << day;
     rrule->setByYearDays( days );
     updated();
@@ -710,7 +710,7 @@ void Recurrence::addYearlyMonth( short month )
   if ( !rrule ) return;
 
   TQValueList<int> months = rrule->byMonths();
-  if ( !months.tqcontains(month) ) {
+  if ( !months.contains(month) ) {
     months << month;
     rrule->setByMonths( months );
     updated();
@@ -722,7 +722,7 @@ TimeList Recurrence::recurTimesOn( const TQDate &date ) const
 {
   TimeList times;
   // The whole day is excepted
-  if ( mExDates.tqcontains( date ) ) return times;
+  if ( mExDates.contains( date ) ) return times;
   // EXRULE takes precedence over RDATE entries, so for floating events,
   // a matching excule also excludes the whole day automatically
   if ( doesFloat() ) {
diff --git a/libkcal/recurrence.h b/libkcal/recurrence.h
index ea0bbd33b..f50be8bd5 100644
--- a/libkcal/recurrence.h
+++ b/libkcal/recurrence.h
@@ -410,13 +410,13 @@ class LIBKCAL_EXPORT Recurrence : public RecurrenceRule::Observer
     void addYearlyPos( short pos, const TQBitArray &days );
 
     /** Returns the day numbers within a yearly recurrence.
-     * @return the days of the year for the event. E.g. if the list tqcontains
+     * @return the days of the year for the event. E.g. if the list contains
      *         60, this means the recurrence happens on day 60 of the year, i.e.
      *         on Feb 29 in leap years and March 1 in non-leap years.
      */
     TQValueList<int> yearDays() const;
     /** Returns the dates within a yearly recurrence.
-     * @return the days of the month for the event. E.g. if the list tqcontains
+     * @return the days of the month for the event. E.g. if the list contains
      *         13, this means the recurrence happens on the 13th of the month.
      *         The months for the recurrence can be obtained through
      *         yearlyMonths(). If this list is empty, the month of the start
@@ -424,7 +424,7 @@ class LIBKCAL_EXPORT Recurrence : public RecurrenceRule::Observer
      */
     TQValueList<int> yearDates() const;
     /** Returns the months within a yearly recurrence.
-     * @return the months for the event. E.g. if the list tqcontains
+     * @return the months for the event. E.g. if the list contains
      *         11, this means the recurrence happens in November.
      *         The days for the recurrence can be obtained either through
      *         yearDates() if they are given as dates within the month or
@@ -435,7 +435,7 @@ class LIBKCAL_EXPORT Recurrence : public RecurrenceRule::Observer
     /** Returns the positions within a yearly recurrence.
      * @return the positions for the event, either within a month (if months
      *         are set through addYearlyMonth()) or within the year.
-     *         E.g. if the list tqcontains {Pos=3, Day=5}, this means the third
+     *         E.g. if the list contains {Pos=3, Day=5}, this means the third
      *         friday. If a month is set this position is understoodas third
      *         Friday in the given months, otherwise as third Friday of the
      *         year.
diff --git a/libkcal/recurrencerule.cpp b/libkcal/recurrencerule.cpp
index 733e3f5ec..946141df7 100644
--- a/libkcal/recurrencerule.cpp
+++ b/libkcal/recurrencerule.cpp
@@ -541,13 +541,13 @@ bool RecurrenceRule::operator==( const RecurrenceRule& r ) const
 
 void RecurrenceRule::addObserver( Observer *observer )
 {
-  if ( !mObservers.tqcontains( observer ) )
+  if ( !mObservers.contains( observer ) )
     mObservers.append( observer );
 }
 
 void RecurrenceRule::removeObserver( Observer *observer )
 {
-  if ( mObservers.tqcontains( observer ) )
+  if ( mObservers.contains( observer ) )
     mObservers.remove( observer );
 }
 
diff --git a/libkcal/resourcecached.cpp b/libkcal/resourcecached.cpp
index 82732bab1..0e9f34052 100644
--- a/libkcal/resourcecached.cpp
+++ b/libkcal/resourcecached.cpp
@@ -485,7 +485,7 @@ void ResourceCached::calendarIncidenceAdded( Incidence *i )
 #endif
 
   TQMap<Incidence *,bool>::ConstIterator it;
-  it = mAddedIncidences.tqfind( i );
+  it = mAddedIncidences.find( i );
   if ( it == mAddedIncidences.end() ) {
     mAddedIncidences.insert( i, true );
   }
@@ -501,7 +501,7 @@ void ResourceCached::calendarIncidenceChanged( Incidence *i )
 #endif
 
   TQMap<Incidence *,bool>::ConstIterator it;
-  it = mChangedIncidences.tqfind( i );
+  it = mChangedIncidences.find( i );
   // FIXME: If you modify an added incidence, there's no need to add it to mChangedIncidences!
   if ( it == mChangedIncidences.end() ) {
     mChangedIncidences.insert( i, true );
@@ -530,7 +530,7 @@ void ResourceCached::calendarIncidenceDeleted( Incidence *i )
   }
   else {
     TQMap<Incidence *,bool>::ConstIterator it;
-    it = mDeletedIncidences.tqfind( i );
+    it = mDeletedIncidences.find( i );
     if ( it == mDeletedIncidences.end() ) {
       mDeletedIncidences.insert( i, true );
     }
diff --git a/libkcal/resourcelocaldir.cpp b/libkcal/resourcelocaldir.cpp
index ce9d8c8f1..f1e00f327 100644
--- a/libkcal/resourcelocaldir.cpp
+++ b/libkcal/resourcelocaldir.cpp
@@ -193,7 +193,7 @@ bool ResourceLocalDir::doSave()
 
 bool ResourceLocalDir::doSave( Incidence *incidence )
 {
-  if ( mDeletedIncidences.tqcontains( incidence ) ) {
+  if ( mDeletedIncidences.contains( incidence ) ) {
     mDeletedIncidences.remove( incidence );
     return true;
   }
